Package com.ngrok.definitions

# Class EndpointOAuthProvider

java.lang.Object
com.ngrok.definitions.EndpointOAuthProvider

public class EndpointOAuthProvider extends Object
A class encapsulating the `EndpointOAuthProvider` resource.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EndpointOAuthProvider.Builder`
  Builder class for `EndpointOAuthProvider`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<EndpointOAuthFacebook>`
  `getFacebook()`
  configuration for using facebook as the identity provider
  `Optional<EndpointOAuthGitHub>`
  `getGithub()`
  configuration for using github as the identity provider
  `Optional<EndpointOAuthGoogle>`
  `getGoogle()`
  configuration for using google as the identity provider
  `Optional<EndpointOAuthMicrosoft>`
  `getMicrosoft()`
  configuration for using microsoft as the identity provider
  `int`
  `hashCode()`
  `static EndpointOAuthProvider.Builder`
  `newBuilder()`
  Creates a new builder for the `EndpointOAuthProvider` type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### newBuilder

    public static EndpointOAuthProvider.Builder newBuilder()
    Creates a new builder for the `EndpointOAuthProvider` type.
    Returns:
      a new `EndpointOAuthProvider.Builder`

  - ### getGithub

    public Optional<EndpointOAuthGitHub> getGithub()
    configuration for using github as the identity provider
    Returns:
      the value of the property as a `EndpointOAuthGitHub` wrapped in an `Optional`

  - ### getFacebook

    public Optional<EndpointOAuthFacebook> getFacebook()
    configuration for using facebook as the identity provider
    Returns:
      the value of the property as a `EndpointOAuthFacebook` wrapped in an `Optional`

  - ### getMicrosoft

    public Optional<EndpointOAuthMicrosoft> getMicrosoft()
    configuration for using microsoft as the identity provider
    Returns:
      the value of the property as a `EndpointOAuthMicrosoft` wrapped in an `Optional`

  - ### getGoogle

    public Optional<EndpointOAuthGoogle> getGoogle()
    configuration for using google as the identity provider
    Returns:
      the value of the property as a `EndpointOAuthGoogle` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`